Scrum Dashboard v2.5 for TFS 2010 & Scrum for Team System v3

Nov 27, 2013 at 4:56 PM
I have a Windows 2003 Server with TFS 2010 and Scrum for Team System v3. I have the Scrum Dashboard v3.0.4 also installed on the same server (basically, everything running on the same server as I am doing a POC to get the team interested in using TFS as an ALM tool rather than just a code repository!).

However, when I try to use the Dashboard v2.5 site, I get the following error.
TF253022: You must update your client with the Forward Compatibility Update in order to connect to the Team Foundation Server that you selected. To obtain this update, go to the Microsoft Web site: [http://go.microsoft.com/fwlink/?LinkId=166481](http://go.microsoft.com/fwlink/?LinkId=166481)
Now, the note for v2.5 says the following and I have kept the WorkItemTrackingCacheRoot in two different folders.
The TFS2010 binaries only support old Scrum for Team System v2 projects with limited functionality. The new process templates Scrum for Team System v3 that are built for TFS2010 are totally different and requires that you download Scrum Dashboard v3. You can have the dashboards side-by-side if you set WorkItemTrackingCacheRoot in web.config to different folders in the two apps, they also require different application pools.
Also, I am not able to install the Visual Studio Team System 2008 Service Pack 1 Forward Compatibility Update for Team Foundation Server 2010 (Installer) as I do not have it on my server. My server runs TFS 2010.

How can I overcome this problem of being able to run both the dashboards side by side.
Nov 29, 2013 at 7:32 PM
Out of curiosity, why do you want to run the v2.5 dashboard? You won't get the full feature set of working with the SfTS v3 work item types.

If you haven't already, try installing Team Explorer 2008 + SP1 + the Forward Compatibility Update.